Package com.io7m.smfj.format.xml.internal

## Class SMFXMetadata

- java.lang.Object
- - com.io7m.smfj.format.xml.internal.SMFXMetadata

- All Implemented Interfaces:
    `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​SMFMetadataValue>`

      public final class SMFXMetadata
      extends java.lang.Object
      implements com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​SMFMetadataValue>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SMFXMetadata​(com.io7m.blackthorne.api.BTElementParsingContextType context, SMFParserEventsBodyType inEvents)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<com.io7m.blackthorne.api.BTQualifiedName,​com.io7m.blackthorne.api.BTElementHandlerConstructorType<?,​?>>` | `onChildHandlersRequested​(com.io7m.blackthorne.api.BTElementParsingContextType context)` |
    `void` | `onChildValueProduced​(com.io7m.blackthorne.api.BTElementParsingContextType context, java.lang.Object result)` |
    `SMFMetadataValue` | `onElementFinished​(com.io7m.blackthorne.api.BTElementParsingContextType context)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.blackthorne.api.BTElementHandlerType

      `map, name, onCharacters, onElementStart, onShouldIgnoreUnrecognizedElements`

- - ### Constructor Detail

    - #### SMFXMetadata

          public SMFXMetadata​(com.io7m.blackthorne.api.BTElementParsingContextType context,
                              SMFParserEventsBodyType inEvents)

  - ### Method Detail

    - #### onChildHandlersRequested

          public java.util.Map<com.io7m.blackthorne.api.BTQualifiedName,​com.io7m.blackthorne.api.BTElementHandlerConstructorType<?,​?>> onChildHandlersRequested​(com.io7m.blackthorne.api.BTElementParsingContextType context)

      Specified by:
        `onChildHandlersRequested` in interface `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​SMFMetadataValue>`

    - #### onChildValueProduced

          public void onChildValueProduced​(com.io7m.blackthorne.api.BTElementParsingContextType context,
                                           java.lang.Object result)

      Specified by:
        `onChildValueProduced` in interface `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​SMFMetadataValue>`

    - #### onElementFinished

          public SMFMetadataValue onElementFinished​(com.io7m.blackthorne.api.BTElementParsingContextType context)

      Specified by:
        `onElementFinished` in interface `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​SMFMetadataValue>`